<!--
Thank you for your contribution! Please fill out the sections below to help us review your PR.
-->

# Linked Issues

<!--
List any related issues by number, e.g. Closes #1, Relates to #2, etc.
-->

# Summary

<!--
Provide a brief, imperative description of your changes.
-->

# Description

<!--
Explain what you’ve changed, why, and any context needed to understand the impact.
-->

# API Example Usage (*optional)

<!--
If your change adds or modifies public APIs, show example usage here:
-->

```python
from samps import NewSerialInterface

serial = NewSerialInterface(...)
serial.open()
```

# Testing

- [ ] I added or updated tests to cover my changes.

# Checklist

- [ ] My commit messages follow the Conventional Commits specification.
- [ ] I have updated documentation (if needed).
- [ ] I have performed a self-review of my own code.
- [ ] I have checked for type annotations and linting issues.

# Breaking Changes?

- [ ] Includes Breaking API Changes?

---

*Thank you for improving samps!*  